<?php

class WithdrawAction extends SOY2Action{

	private $siteId;
	
	function setSiteId($siteId){
		$this->siteId = $siteId;
	}

    function execute($request,$form,$response) {
    	$dao = SOY2DAOFactory::create("asp.ASPUserDAO");
    	$user = $dao->getById(UserInfoUtil::getUserId());
    	$logic = SOY2Logic::createInstance("logic.asp.ASPSiteLogic");
	    $logic->removeSite($this->siteId);
	    return SOY2Action::SUCCESS;
    }
}

class WithdrawActionForm extends SOY2ActionForm{
	var $password;
	
	function setPassword($password){
		$this->password = $password;
	}
}
?>